No. PA Library Comment

System setting & initialization functions

1

pa_ini_sys

PA library initialization

2

pa_ter_sys

PA library termination

Arm Condition control functions

3

pa_opn_arm

Open arm (control arm selection)

4

pa_cls_arm

Close arm (control arm separation)

5

pa_sta_arm

Controller operation start (Servo driver communication start)

6

pa_ext_arm?

Controller operation end (Servo driver communication end)

7

pa_sta_sim?

Simulation control start (simulation communication start)

8

pa_ext_sim

Simulation control end (simulation communication end)

9

pa_stp_arm?

Arm brake-stop

10

pa_sus_arm?

Arm temporarily stop

11

pa_rsm_arm?

Arm temporarily-stop-release

Each axis motion control functions

12

pa_exe_axs?

Axis angle control

13

pa_exe_hom?

Axis angle control to home position

14

pa_exe_esc

Axis angle control to escape position

15

pa_exe_saf

Axis angle control to safety position

Arm Tip position/orientation(RMRC) deviation control functions

16

pa_mov_XYZ

Position deviation control in robot coordinate system

17

pa_mov_YPR

Orientation deviation control in robot coordinate system

18

pa_mov_xyz

Position deviation control in tip coordinate system(available only for Visual C++)

19

pa_mov_XYZ

Position deviation control in tip coordinate system(available only for Visual Basic)

20

pa_mov_ypr

Orientation deviation control in tip coordinate system( available only for Visual C++)

21

pa_mov_YPR

Orientation deviation control in tip coordinate system( available only for Visual Basic)

22

pa_mov_mat

Tip position /orientation absolute position control

Functions on teaching point operation&playback control

23

pa_axs_pnt

Axis motion control from the present position to the current point

24

pa_mov_pnt

Linear motion control from the present position to the current point

25

pa_ply_pnt

Playback control

26

pa_chg_pnt

Teach point pointer alteration ((current point alteration)

27

pa_add_pnt

Teach point addition

28

pa_del_pnt

Teach point deletion

29

pa_rpl_pnt

Teach point replacement

30

pa_set_pnt

Teach point attribution setting

31

pa_set_idn

ID_No. setting at teach point

32

pa_chg_dio

Teach point (PTP) DO attribution setting

33

pa_vel_pnt

Playback control velocity coefficient alteration

34

pa_swt_dio

Playback control teach point DO valid/invalid setting

35

pa_get_pnt

Current point teach point data loading

36

pa_get_cur

Current point teach point number loading

37

pa_get_num

Teach point all numbers loading

38

pa_get_idn

Current point ID_No. loading

39

pa_get_cpt

Current point circle/arc teach data loading

40

pa_get_pvl

Playback control velocity coefficient loading

41

pa_get_pdo

Playback control teach point DO valid/invalid loading

42

pa_lod_pnt

Loading teach data to controller

43

pa_sav_pnt

Saving teach data to man-machine controller

44

pa_set_dlc

Playback DO automatic stop/non stop setting

45

pa_get_dlc

Playback DO automatic stop/non stop loading

46

pa_ply_set

Teach data Key acquisition by number designation

47

pa_act_pnt

Active teach data switching

48

pa_jmp_set

JUMP data acquisition by number designation

49

pa_get_jmp

JUMP data acquisition by Key/ID designation

50

pa_set_jmp

JUMP data setting

51

pa_ena_jmp

JUMP condition valid/invalid setting

52

pa_ply_mod

Teach mode setting

53

pa_chg_key

Current active teach data Key alteration

54

pa_get_key

Current active teach data Key acquisition

55

pa_mon_pnt

Acquired to monitor teach data status

56

pa_set_cmt

Comment setting

57

pa_jmp_cmt

Current point shifting by comment

58

pa_get_ena

JUMP condition valid/invalid acquisition

59

pa_get_pmd

Teach mode acquisition

60

pa_del_jmp

JUMP data deletion

61

pa_sav_ptj

Saving teach data and JUMP data

62

pa_lod_ptj

Loading teach data and JUMP data

63

pa_get_prj

Project name acquisition

64

pa_set_prj

Project name setting

65

pa_sav_pr?

Saving project

66

pa_lod_prj

Loading project

67

pa_set_cub

CUBE designation

68

pa_get_cub

CUBE teach designation

69

pa_cub_len

CUBE side length designation

70

pa_cub_cmt

Naming CUBE

71

pa_del_cub

CUBE deletion

72

pa_ena_cub

CUBE valid/invalid

73

pa_inf_cub

CUBE information reference

Velocity control functions

74

pa_mod_vel

Velocity control mode setting

75

pa_odr_vel

Velocity control data set

Tip absolute position/orientation, axis real-time control functions

76

pa_mod_dpd

Target position/orientation? real-time control mode setting

77

pa_odr_dpd

Target position/orientation? real-time control data set

78

pa_mod_axs

Axis real-time control mode setting

79

pa_odr_axs

Axis real-time control data set

Direct control functions(optional functions)

80

pa_mod_dir

Servo lock ON/OFF when in direct control start

81

pa_wet_ded

Weight compensation control

82

pa_drt_ded

Arm installation direction setting

83

pa_chk_cnt

Synchronization processing in direct control

84

pa_set_tim

Time-out setting in synchronization processing

85

pa_get_tim

Time-out loading in synchronization processing

86

pa_get_drt

Arm installation direction acquisition/loading

Functions on position setting/definition

87

pa_set_hom

Home position setting

88

pa_set_esc

Escape position setting

89

pa_set_saf

Safety position setting

90

pa_def_hom

Defining current value as home position

91

pa_def_esc

Defining current value as escape position

92

pa_def_saf

Defining current value as safety position

Functions on coordinate conversion matrix& tip position offset

93

pa_set_mtx

Coordinate spatial conversion matrix (position offset) setting

94

pa_set_mat

Coordinate spatial conversion matrix setting

95

pa_set_wav

Weaving trajectory setting

96

pa_odr_xyz

Tip position offset value setting

97

pa_lmt_xyz

Limit value setting when in offset value supplement

98

pa_get_mat

Current setting conversion matrix loading

99

pa_get_sns

Current setting tip offset value loading

100

pa_get_lmt

Limit value loading when in offset value supplement

Redudant axis control functions(7 axis only)

101

pa_mod_jou

Redundant axis control mode setting

102

pa_odr_jou

Redundant axis control data set

103

pa_mov_jou

Redundant axis (elbow) motion control

104

pa_get_jou

Arm redundant axis control mode loading

Arm status information loading functions

105

pa_get_mod

Arm control status loading

106

pa_get_ver

Motion controller S/W version number loading

107

pa_get_com

Communication status (no communication/simulation/ actual machine) loading

108

pa_get_sts

Current arm information loading

109

pa_get_cnt

Current arm control counter loading

110

pa_get_err

Current arm error information loading

111

pa_get_agl

Current arm axis value loading

112

pa_get_xyz

Current arm tip position loading

113

pa_get_noa

Current arm orientation matrix loading

114

pa_get_ypr

Current arm position angle loading

115

pa_get_prm

Current arm parameter loading

116

pa_get_tar

Current arm target data loading

117

pa_get_sav

Axis servo ON/OFF status acquisition

118

pa_sav_sts

Servo status? acquisition

119

pa_get_smd

TEACH MODE acquisition from servo

120

pa_set_ddm

Dead man SW valid/invalid

121

pa_get_ddm

Dead man SW valid/invalid status acquisition

122

pa_set_lok

TEACH LOCK setting

123

pa_get_lok

TEACH LOCK acquisition

124

pa_tct_tim

Tact time (playback time) acquisition

125

pa_get_max

Board controllable arm numbers acquisition

126

pa_get_spt

Acquiring arm identification number

127

pa_get_sim

Simulation magnification acquisition

128

pa_get_inc

Real-time velocity acquisition

129

pa_set_sim

Simulation magnification setting

130

pa_set_inc

Real-time velocity setting

Digital input/output functions

131

pa_inp_dio

Digital input (32ch. unit input)

132

pa_oup_dio

Digital output (32ch. unit output)

133

pa_get_dio

Digital input (1ch. unit input)

134

pa_set_dio

Digital output (1ch. unit set)

135

pa_rst_dio

Digital output (1ch. unit reset)

136

pa_dio_msk

DIO mask setting

137

pa_get_msk

DIO mask acquisition

Functions on parameter

138

pa_set_tol

Tool information setting

139

pa_set_vel

Default velocity alteration

140

pa_lod_ctl

loading parameter to controller

141

pa_tst_nom

RETRAC creation ON/OFF setting

142

pa_get_rmd

RETRAC creation ON/OFF acquisition

143

pa_lod_rob

Robot model file loading

144

pa_lod_tol

Tool model file loading

145

pa_sav_rob

model file saving

146

pa_ena_nom

RETRAC calculation switching

147

pa_get_nom

Acquiring either T-matrix or RETRAC calculation

148

pa_tkn_nom

Acquiring RETRAC calculation OK/NOT OK

Other functions

149

pa_map_ctl

Shared area mapping with controller

150

pa_fsh_chk

Waiting for control command processing completion

151

pa_fsh_sub

Waiting for control command processing completion

152

pa_req_ctl

Issuing command setting intrusion to controller

153

pa_req_sub

Issuing command setting intrusion to controller

154

pa_rst_ctl

Arm error information reset

155

pa_err_mes

Error message acquisition

Copyright(C)2002 MITSUBISHI HEAVY INDUSTRIES,LTD.
KOBE SHIPYARD & MACHINERY WORKS ALL RIGHTS RESERVED
